Delete Mid-call Action
curl --request DELETE \
--url https://app.famulor.de/api/user/tools/{id} \
--header 'Accept: <accept>' \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'const options = {
method: 'DELETE',
headers: {
Authorization: '<authorization>',
'Content-Type': '<content-type>',
Accept: '<accept>'
}
};
fetch('https://app.famulor.de/api/user/tools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/tools/{id}"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>",
"Accept": "<accept>"
}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/tools/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Authorization: <authorization>",
"Content-Type: <content-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/tools/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "<content-type>")
req.Header.Add("Accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Tool deleted successfully"
}
{
"message": "Tool not found"
}
Delete Mid-call Action
Permanently remove a Mid-call Action from your Famulor account via API. Detaches the action from any AI voice assistant currently configured to use it.
DELETE
/
api
/
user
/
tools
/
{id}
Delete Mid-call Action
This endpoint allows you to permanently delete a Mid-call Action. This will also remove the action from all assistants it was assigned to.
Headers
string
required
Bearer token for authentication
string
required
Must be
application/jsonstring
required
Must be
application/jsonPath Parameters
integer
required
The unique identifier of the Mid-call Action to delete
Response Fields
string
Success message confirming deletion
{
"message": "Tool deleted successfully"
}
{
"message": "Tool not found"
}
Note
When a Mid-call Action is deleted, it is automatically removed from all assistants. To manage assignments without deleting the action, use:- Update Assistant — Use the
tool_idsparameter to remove Mid-call Actions from specific assistants
Need a whole toolset instead of building HTTP actions one by one? Connect an external MCP server — tools are discovered automatically. See MCP Servers.
⌘I